Автор Тема: Ошибка при обновлении 1.5.5 до 1.5.6  (Прочитано 804 раз)

20 Октября 2013, 01:40:11
  • Фрилансер
  • *
  • Сообщений: 137
  • Репутация: +0/-0
  • Методом тыка..
    • Просмотр профиля
Модуль v1.2.2-1-Click Upgrade - AutoUpgrade.zip, вроде как последний, не могу обновиться с 1.5.5 до 1.5.6 выдает:

Цитировать
Анализ ситуации ...Магазин деактивирован. Приступаем к загрузке (это может занять какое-то время) ...
[Ajax / Server Error for action download] textStatus: "error " errorThrown:"Internal Server Error " jqXHR: " "
21 Октября 2013, 12:04:07
Ответ #1
  • Ветеран
  • *****
  • Сообщений: 13636
  • Репутация: +14563/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Так бывает, когда не разрешено скриптам php менять файлы на сервере созданные владельцем директории.
21 Октября 2013, 14:19:12
Ответ #2
  • Фрилансер
  • *
  • Сообщений: 137
  • Репутация: +0/-0
  • Методом тыка..
    • Просмотр профиля
и как лечить, подскажете?
21 Октября 2013, 14:58:01
Ответ #3
  • Модератор
  • Ветеран
  • *****
  • Сообщений: 86335
  • Репутация: +25417/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Установить правильно права на запись/чтение.
Включить показ ошибок.
21 Октября 2013, 17:32:07
Ответ #4
  • Фрилансер
  • *
  • Сообщений: 137
  • Репутация: +0/-0
  • Методом тыка..
    • Просмотр профиля
буду благодарен, если подробнее подскажете, как и где это воплотить.. Спасибо.
22 Октября 2013, 11:18:52
Ответ #5
  • Ветеран
  • *****
  • Сообщений: 13636
  • Репутация: +14563/-1
  • Сообщество PrestaShop
    • Просмотр профиля
По правам для скриптов в справке у хостинга должно быть написано или можно супорт спросить.
22 Октября 2013, 11:20:24
Ответ #6
  • Ветеран
  • *****
  • Сообщений: 13636
  • Репутация: +14563/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Попробуйте отключить модули, переключить на стандарную тему и потом обновиться.
22 Октября 2013, 15:52:20
Ответ #7
  • Фрилансер
  • *
  • Сообщений: 137
  • Репутация: +0/-0
  • Методом тыка..
    • Просмотр профиля
модуль обновления использую впервые, тема дефолтная, модули поотключал, не помогло..
..написал хостеру, жду ответа.

На офф сайте есть тема и там советуют:
Цитировать
I updated. To do this, unpack the new version of prestashop in public_html \ admin \ autoupgrade \ latest \ prestashop \
In 1-click-upgrade module selected channel "local directory".
так и не понял где создать именно..
22 Октября 2013, 16:52:19
Ответ #8
  • Ветеран
  • *****
  • Сообщений: 33028
  • Репутация: +26761/-0
    • Просмотр профиля
Проблема ограничений хостинга.
Скачайте последнюю версию на хостинг, при обновлении укажите путь к этой версии.
22 Октября 2013, 17:57:09
Ответ #9
  • Фрилансер
  • *
  • Сообщений: 249
  • Репутация: +3/-0
    • Просмотр профиля
Путь к папке на сервере будет показан, когда измените в настройках модуля место откуда брать новую версию.
Только "admin" нужно поменять на название вашей папки.